Coin Grants/Refund
Query Payment Order
It is necessary to package the data in the parameter table into JSON strings and use rsa for parameter encryption and signature as data and sign in the body.
POST
/
platformapi
/
chainup
/
open
/
opay
/
getReferenceOrder
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/opay/getReferenceOrder
{
"code": 0,
"msg": "Success",
"data": {
"orderNum": "xxxx"
}
}
Query Parameters
appKey
string
requiredMerchant AppKey
Example: xxx_xxx
appOrderId
string
requiredMerchant order ID.
Example: 1000000002
Response
200 - application/json
code
string
Return code
msg
string
Success or failure message
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/opay/getReferenceOrder
{
"code": 0,
"msg": "Success",
"data": {
"orderNum": "xxxx"
}
}